<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Supernova.SemanticVersioning</name>
    </assembly>
    <members>
        <member name="T:Supernova.SemanticVersioning.SemanticVersion">
            <summary>
            Represents a version, following Semantic Version Specification 2.0.0 (https://semver.org/#semantic-versioning-200).
            </summary>
        </member>
        <member name="M:Supernova.SemanticVersioning.SemanticVersion.#ctor(System.Int32,System.Int32,System.Int32,System.String,System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:Supernova.SemanticVersioning.SemanticVersion"/> class.
            </summary>
            <param name="major">The major version.</param>
            <param name="minor">The minor version.</param>
            <param name="patch">The patch version.</param>
            <param name="prerelease">An optional pre-release version.</param>
            <param name="build">Optional build metadata.</param>
        </member>
        <member name="P:Supernova.SemanticVersioning.SemanticVersion.Build">
            <summary>
            Gets the build metadata.
            </summary>
        </member>
        <member name="P:Supernova.SemanticVersioning.SemanticVersion.Initial">
            <summary>
            Gets a new instance of initial version (0.1.0).
            </summary>
        </member>
        <member name="P:Supernova.SemanticVersioning.SemanticVersion.Major">
            <summary>
            Gets the major version.
            </summary>
        </member>
        <member name="P:Supernova.SemanticVersioning.SemanticVersion.Minor">
            <summary>
            Gets the minor version.
            </summary>
        </member>
        <member name="P:Supernova.SemanticVersioning.SemanticVersion.Patch">
            <summary>
            The patch version.
            </summary>
        </member>
        <member name="P:Supernova.SemanticVersioning.SemanticVersion.Prerelease">
            <summary>
            The pre-release version.
            </summary>
        </member>
        <member name="M:Supernova.SemanticVersioning.SemanticVersion.op_Inequality(Supernova.SemanticVersioning.SemanticVersion,Supernova.SemanticVersioning.SemanticVersion)">
            <summary>
            Checks if two semantic versions are not equal.
            </summary>
            <param name="a">The first semantic version.</param>
            <param name="b">The second semantic version.</param>
            <returns><c>true</c> if <paramref name="a"/> and <paramref name="b"/> are not equal, <c>false</c> otherwise.</returns>
        </member>
        <member name="M:Supernova.SemanticVersioning.SemanticVersion.op_LessThan(Supernova.SemanticVersioning.SemanticVersion,Supernova.SemanticVersioning.SemanticVersion)">
            <summary>
            Checks if a semantic version is strictly lower than another.
            </summary>
            <param name="a">The first semantic version.</param>
            <param name="b">The second semantic version.</param>
            <returns><c>true</c> if <paramref name="a"/> is strictly lower than <paramref name="b"/>, <c>false</c> otherwise.</returns>
        </member>
        <member name="M:Supernova.SemanticVersioning.SemanticVersion.op_LessThanOrEqual(Supernova.SemanticVersioning.SemanticVersion,Supernova.SemanticVersioning.SemanticVersion)">
            <summary>
            Checks if a semantic version is lower than another.
            </summary>
            <param name="a">The first semantic version.</param>
            <param name="b">The second semantic version.</param>
            <returns><c>true</c> if <paramref name="a"/> is lower than <paramref name="b"/>, <c>false</c> otherwise.</returns>
        </member>
        <member name="M:Supernova.SemanticVersioning.SemanticVersion.op_Equality(Supernova.SemanticVersioning.SemanticVersion,Supernova.SemanticVersioning.SemanticVersion)">
            <summary>
            Checks if two semantic versions are equal.
            </summary>
            <param name="a">The first semantic version.</param>
            <param name="b">The second semantic version.</param>
            <returns><c>true</c> if <paramref name="a"/> and <paramref name="b"/> are equal, <c>false</c> otherwise.</returns>
        </member>
        <member name="M:Supernova.SemanticVersioning.SemanticVersion.op_GreaterThan(Supernova.SemanticVersioning.SemanticVersion,Supernova.SemanticVersioning.SemanticVersion)">
            <summary>
            Checks if a semantic version is strictly greater than another.
            </summary>
            <param name="a">The first semantic version.</param>
            <param name="b">The second semantic version.</param>
            <returns><c>true</c> if <paramref name="a"/> is strictly greater than <paramref name="b"/>, <c>false</c> otherwise.</returns>
        </member>
        <member name="M:Supernova.SemanticVersioning.SemanticVersion.op_GreaterThanOrEqual(Supernova.SemanticVersioning.SemanticVersion,Supernova.SemanticVersioning.SemanticVersion)">
            <summary>
            Checks if a semantic version is greater than another.
            </summary>
            <param name="a">The first semantic version.</param>
            <param name="b">The second semantic version.</param>
            <returns><c>true</c> if <paramref name="a"/> is greater than <paramref name="b"/>, <c>false</c> otherwise.</returns>
        </member>
        <member name="M:Supernova.SemanticVersioning.SemanticVersion.Parse(System.String)">
            <summary>
            Parses a string to an instance of <see cref="T:Supernova.SemanticVersioning.SemanticVersion"/>.
            </summary>
            <param name="input">The string.</param>
            <returns>The semantic version.</returns>
        </member>
        <member name="M:Supernova.SemanticVersioning.SemanticVersion.TryParse(System.String,Supernova.SemanticVersioning.SemanticVersion@)">
            <summary>
            Tries to parse a string to an instance of <see cref="T:Supernova.SemanticVersioning.SemanticVersion"/>.
            </summary>
            <param name="input">The string.</param>
            <param name="semanticVersion">The semantic version on success, <c>null</c> on failure.</param>
            <returns><c>true</c> if the parsing succeded, <c>false</c> otherwise.</returns>
        </member>
        <member name="M:Supernova.SemanticVersioning.SemanticVersion.CompareTo(Supernova.SemanticVersioning.SemanticVersion)">
            <summary>
            Compares the current instance to another <see cref="T:Supernova.SemanticVersioning.SemanticVersion"/> instance.
            Follows precedence specification (https://semver.org/#spec-item-11).
            </summary>
            <param name="other"></param>
            <returns><c>1</c> if <c>this</c> follows <paramref name="other"/>, <c>-1</c> if if precedes it, <c>0</c> if they are equal.</returns>
        </member>
        <member name="M:Supernova.SemanticVersioning.SemanticVersion.Equals(Supernova.SemanticVersioning.SemanticVersion)">
            <summary>
            Determines if a provided <see cref="T:Supernova.SemanticVersioning.SemanticVersion"/> is equal to the current instance.
            Follows precedence specification (https://semver.org/#spec-item-11).
            </summary>
            <param name="other">The other instance.</param>
            <returns><c>true</c> if the versions are equal, <c>false</c> otherwise.</returns>
        </member>
        <member name="M:Supernova.SemanticVersioning.SemanticVersion.Equals(System.Object)">
            <summary>
            Determines if a provided object is equal to the current instance.
            Follows precedence specification (https://semver.org/#spec-item-11).
            </summary>
            <param name="obj">The other instance.</param>
            <returns><c>true</c> if the versions are equal, <c>false</c> otherwise.</returns>
        </member>
        <member name="M:Supernova.SemanticVersioning.SemanticVersion.GetHashCode">
            <summary>
            Computes the hash code of the current instance.
            Follows the <see cref="M:Supernova.SemanticVersioning.SemanticVersion.Equals(Supernova.SemanticVersioning.SemanticVersion)"/> method.
            </summary>
            <returns>The hash code.</returns>
        </member>
        <member name="M:Supernova.SemanticVersioning.SemanticVersion.MajorIncremented">
            <summary>
            Creates a new instance of <see cref="T:Supernova.SemanticVersioning.SemanticVersion"/> from the current instance, where the major version has been incremented by 1.
            Follows major version increment specification (https://semver.org/#spec-item-8).
            </summary>
            <returns>The new incremented version.</returns>
        </member>
        <member name="M:Supernova.SemanticVersioning.SemanticVersion.MinorIncremented">
            <summary>
            Creates a new instance of <see cref="T:Supernova.SemanticVersioning.SemanticVersion"/> from the current instance, where the minor version has been incremented by 1.
            Follows minor version increment specification (https://semver.org/#spec-item-7).
            </summary>
            <returns>The new incremented version.</returns>
        </member>
        <member name="M:Supernova.SemanticVersioning.SemanticVersion.PatchIncremented">
            <summary>
            Creates a new instance of <see cref="T:Supernova.SemanticVersioning.SemanticVersion"/> from the current instance, where the patch version has been incremented by 1.
            Follows patch version increment specification (https://semver.org/#spec-item-6).
            </summary>
            <returns>The new incremented version.</returns>
        </member>
        <member name="M:Supernova.SemanticVersioning.SemanticVersion.ToString">
            <summary>
            Gets a string representation of the current instance.
            </summary>
            <returns>The string representation.</returns>
        </member>
        <member name="T:Supernova.SemanticVersioning.Validation">
            <summary>
            Provides validation for semantic version.
            </summary>
        </member>
        <member name="P:Supernova.SemanticVersioning.Validation.BuildRegex">
            <summary>
            Gets a regular expression to validate semantic version build metadata.
            </summary>
        </member>
        <member name="P:Supernova.SemanticVersioning.Validation.PrereleaseRegex">
            <summary>
            Gets a regular expression to validate semantic version prerelease version.
            </summary>
        </member>
        <member name="P:Supernova.SemanticVersioning.Validation.SemanticVersionRegex">
            <summary>
            Gets a regular expression to validate semantic version.
            </summary>
        </member>
    </members>
</doc>
